#
# spec file for package kfilecoder (Version 0.5.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 -b "kdebase kdebase-devel"
Name:         kfilecoder
Provides:     kfilecod
Obsoletes:    kfilecod
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Encode and decode files in an archive with a password
Version:      0.5.0
Release:      333
Source0:      kfilecoder-0.5.0.tar.bz2
Patch0: kfilecoder-0.5.0.dif

%description
Encode and decode some files in an archive with a password

Authors:
--------
    Franois Dupoux <fdupoux@lemel.fr>

SuSE series: k2de

%prep
%setup -n kfilecoder-0.5.0
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  --cache-file=/dev/null \
  
make

%install
make install

%files
%doc TODO README README-PC1.fr AUTHORS INSTALL ChangeLog COPYING 
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/apps/kfilecoder
%dir /opt/kde2/share/apps/kfilecoder/pics
%dir /opt/kde2/share/apps/kfilecoder/toolbar
%dir /opt/kde2/share/doc/HTML/en/kfilecoder
%dir /opt/kde2/share/locale/fr
%dir /opt/kde2/share/locale/fr/LC_MESSAGES
/opt/kde2/bin/kfilecoder
/opt/kde2/share/applnk/Applications/kfilecoder.desktop
/opt/kde2/share/apps/kfilecoder/kfilecoderui.rc
/opt/kde2/share/apps/kfilecoder/pics/about.png
/opt/kde2/share/apps/kfilecoder/toolbar/adddir.png
/opt/kde2/share/apps/kfilecoder/toolbar/addfile.png
/opt/kde2/share/apps/kfilecoder/toolbar/delete.png
/opt/kde2/share/apps/kfilecoder/toolbar/extract.png
/opt/kde2/share/apps/kfilecoder/toolbar/fileprop.png
/opt/kde2/share/doc/HTML/en/kfilecoder/index-1.html
/opt/kde2/share/doc/HTML/en/kfilecoder/index-2.html
/opt/kde2/share/doc/HTML/en/kfilecoder/index-3.html
/opt/kde2/share/doc/HTML/en/kfilecoder/index-4.html
/opt/kde2/share/doc/HTML/en/kfilecoder/index-5.html
/opt/kde2/share/doc/HTML/en/kfilecoder/index-6.html
/opt/kde2/share/doc/HTML/en/kfilecoder/index-7.html
/opt/kde2/share/doc/HTML/en/kfilecoder/index.html
/opt/kde2/share/doc/HTML/en/kfilecoder/kfilecoder-algo.png
/opt/kde2/share/doc/HTML/en/kfilecoder/kfilecoder-archive-format.png
/opt/kde2/share/doc/HTML/en/kfilecoder/kfilecoder-file-format.png
/opt/kde2/share/doc/HTML/en/kfilecoder/kfilecoder-main.png
/opt/kde2/share/doc/HTML/en/kfilecoder/kfilecoder-pass.png
/opt/kde2/share/icons/locolor/16x16/apps/kfilecoder.png
/opt/kde2/share/icons/locolor/32x32/apps/kfilecoder.png
/opt/kde2/share/locale/fr/LC_MESSAGES/kfilecoder.mo
/opt/kde2/share/mimelnk/application/x-kfilecoder.desktop

%changelog -n kfilecoder
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 03 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Sat Feb 03 2001 - adrian@suse.de
- update to 0.5.0 (KDE 2)
  rename to kfilecoder
* Thu May 25 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu May 25 2000 - adrian@suse.de
- Spec file created from kfilecoder-src-0.2.3.tar.gz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Tue Feb 01 2000 - ro@suse.de
- fixed to compile
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - kettner@suse.de
- New version 0.2.3
* Wed Jun 09 1999 - kettner@suse.de
- Spec file created from kfilecoder-src-0.1.4.tar.gz by autospec
